Subject: bug#25168: 25.1; variable-pitch face misbehaves

From: Eli Barzilay <[email-masked]>
Date: Sat, 6 Feb 2021 07:22:41 -0500

It would be nice to clarify that in the `text-scale-adjust` docstring.
To be more specific, it currently repeats:

    the default face height

many times, and this can be interpreted as "the default (face height)"
or "the (default face) height".  Worse, for people who don't know that
there's an actual face called default, "Adjust the height of the default
face" is just as confusing.

On Sat, Feb 6, 2021 at 6:42 AM Lars Ingebrigtsen <[email-masked]> wrote:
>
> Eli Zaretskii <[email-masked]> writes:
>
> > Is this really related to variable-pitch fonts, or is this related to
> > the fact that the face is defined with a height attribute relative to
> > the default face?
> >
> > AFAIR, text-scale-adjust only affects the basic faces, not any
> > arbitrary face defined by modes.  But maybe I misremember.
>
> Yup --
>
> ----
> Adjust the height of the default face by INC.
> ----
>
> So it's not supposed to do anything for other faces, and I guess this is
> working as documented.  So I'm closing this bug report.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
                   ((x=>x(x))(x=>x(x)))                  Eli Barzilay:
                   http://barzilay.org/                  Maze is Life!